

* To generate the regime type subsamples

#delimit; 
clear;

*First for Poolfail;


use "C:\Leaders\Fate\CRISK\JCR\Poolfail.dta", clear;
keep if tmixed==0 & tdemparl==0 & tdempres==0 & trans==0;
stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs);
save "C:\Leaders\Fate\CRISK\JCR\Aut-Pfail.dta", replace;

use "C:\Leaders\Fate\CRISK\JCR\Poolfail.dta", clear;
keep if tmixed==1;
stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs);
save "C:\Leaders\Fate\CRISK\JCR\tmix-Pfail.dta", replace;

use "C:\Leaders\Fate\CRISK\JCR\Poolfail.dta", clear;
keep if tdemparl==1;
stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs);
save "C:\Leaders\Fate\CRISK\JCR\tdemparl-Pfail.dta", replace;

use "C:\Leaders\Fate\CRISK\JCR\Poolfail.dta", clear;
keep if tdempres==1;
stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs);
save "C:\Leaders\Fate\CRISK\JCR\tdempres-Pfail.dta", replace;

use "C:\Leaders\Fate\CRISK\JCR\Poolfail.dta", clear;
keep if tdempres==1 | tdemparl==1;
stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs);
save "C:\Leaders\Fate\CRISK\JCR\tdemoc-Pfail.dta", replace;

use "C:\Leaders\Fate\CRISK\JCR\Poolfail.dta", clear;
keep if trans==1;
stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs);
save "C:\Leaders\Fate\CRISK\JCR\trans-Pfail.dta", replace;

*Now for Regular;


use "C:\Leaders\Fate\CRISK\JCR\Rfail.dta", clear;
keep if tmixed==0 & tdemparl==0 & tdempres==0 & trans==0;
stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs);
save "C:\Leaders\Fate\CRISK\JCR\Aut-Rfail.dta", replace;

use "C:\Leaders\Fate\CRISK\JCR\Rfail.dta", clear;
keep if tmixed==1;
stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs);
save "C:\Leaders\Fate\CRISK\JCR\tmix-Rfail.dta", replace;

use "C:\Leaders\Fate\CRISK\JCR\Rfail.dta", clear;
keep if tdemparl==1;
stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs);
save "C:\Leaders\Fate\CRISK\JCR\tdemparl-Rfail.dta", replace;

use "C:\Leaders\Fate\CRISK\JCR\Rfail.dta", clear;
keep if tdempres==1;
stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs);
save "C:\Leaders\Fate\CRISK\JCR\tdempres-Rfail.dta", replace;

use "C:\Leaders\Fate\CRISK\JCR\Rfail.dta", clear;
keep if tdempres==1 | demparl==1;
stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs);
save "C:\Leaders\Fate\CRISK\JCR\tdemoc-Rfail.dta", replace;

use "C:\Leaders\Fate\CRISK\JCR\Rfail.dta", clear;
keep if trans==1;
stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs);
save "C:\Leaders\Fate\CRISK\JCR\trans-Rfail.dta", replace;

*Now for Irregular;


use "C:\Leaders\Fate\CRISK\JCR\Ifail.dta", clear;
keep if tmixed==0 & tdemparl==0 & tdempres==0 & trans==0;
stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs);
save "C:\Leaders\Fate\CRISK\JCR\Aut-Ifail.dta", replace;

use "C:\Leaders\Fate\CRISK\JCR\Ifail.dta", clear;
keep if tmixed==1;
stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs);
save "C:\Leaders\Fate\CRISK\JCR\tmix-Ifail.dta", replace;

use "C:\Leaders\Fate\CRISK\JCR\Ifail.dta", clear;
keep if tdemparl==1;
stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs);
save "C:\Leaders\Fate\CRISK\JCR\tdemparl-Ifail.dta", replace;

use "C:\Leaders\Fate\CRISK\JCR\Ifail.dta", clear;
keep if tdempres==1;
stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs);
save "C:\Leaders\Fate\CRISK\JCR\tdempres-Ifail.dta", replace;

use "C:\Leaders\Fate\CRISK\JCR\Ifail.dta", clear;
keep if tdempres==1 | tdemparl==1;
stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs);
save "C:\Leaders\Fate\CRISK\JCR\tdemoc-Ifail.dta", replace;

use "C:\Leaders\Fate\CRISK\JCR\Ifail.dta", clear;
keep if trans==1;
stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs);
save "C:\Leaders\Fate\CRISK\JCR\trans-Ifail.dta", replace;





